Update Room
curl --request PUT \
--url https://api.pagecall.com/v1/rooms/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Monthly Meetting - 2",
"is_terminated": false
}
'import requests
url = "https://api.pagecall.com/v1/rooms/{id}"
payload = {
"name": "Monthly Meetting - 2",
"is_terminated": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Monthly Meetting - 2', is_terminated: false})
};
fetch('https://api.pagecall.com/v1/rooms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"room": {
"id": "000585f36eed9e8fb6b655b4",
"type": "public",
"name": "Weekly Meet",
"application_id": "000585f36eed9e8fb6b655b4",
"created_user_id": "#DEPRECATED#",
"thumbnail_url": "https://example.url/thumbnail.png",
"last_thumbnail_updated_at": "#DEPRECATED#",
"room_template_id": "#DEPRECATED#",
"layout": "SixAll",
"record": true,
"meeting_time": 200000,
"is_terminated": "#DEPRECATED#",
"is_ephemeral": "#DEPRECATED#",
"is_recurring": "#DEPRECATED#",
"started_at": "2023-01-01T01:00:00.000Z",
"terminated_at": "2023-01-01T01:00:00.000Z",
"updated_at": "2023-01-01T01:00:00.000Z",
"created_at": "2023-01-01T01:00:00.000Z"
}
}Room Endpoints
Update Room
Update some of room settings
PUT
/
rooms
/
{id}
Update Room
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
room id
Body
application/json
Response
Successful operation
Information about room
Show child attributes
Show child attributes
⌘I

